:root {
    --starling: #7433FF;
    --starling-tint-border: #dbcaff;
    --starling-tint: #f9f7ff;
    --lime: #AFFF18;
    --warning: #ff4c4c;
    --white: #FFFFFF;
    --light-grey: #F5F5F5;
    --mid-grey: #D8D8D8;
    --dark-grey: #7F7F7F;
    --black: #000000;
}

/* ice */
.starling {
    color: var(--starling);
}
.starling_background {
    background-color: var(--starling);
}



/* Functional */
.warning {
    color: var(--warning);
}
.warning_background {
    background-color: var(--warning);
}



/* Monotones */
.white {
    color: var(--white);
}
.white_background {
    background-color: var(--white);
}

.light-grey {
    color: var(--light-grey);
}
.light-grey_background {
    background-color: var(--light-grey);
}

.mid-grey {
    color: var(--mid-grey);
}
.mid-grey_background {
    background-color: var(--mid-grey);
}

.dark-grey {
    color: var(--dark-grey);
}
.dark-grey_background {
    background-color: var(--dark-grey);
}

.black {
    color: var(--black);
}
.black_background {
    background-color: var(--black);
}



/*** Gradient Backgrounds ***/
.dark-gradient_background {
    background: #190d45;
    background: -webkit-linear-gradient(193deg, rgba(25, 13, 69, 1) 0%, rgba(0, 0, 0, 1) 100%);
    background: -moz-linear-gradient(193deg, rgba(25, 13, 69, 1) 0%, rgba(0, 0, 0, 1) 100%);
    background: linear-gradient(193deg, rgba(25, 13, 69, 1) 0%, rgba(0, 0, 0, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#190D45", endColorstr="#000000", GradientType=0);
}


/* Color Overrides */


/* --- dark-gradient_background --- */
.dark-gradient_background h1,
.dark-gradient_background h2,
.dark-gradient_background h3,
.dark-gradient_background h4,
.dark-gradient_background h5,
.dark-gradient_background h6,
.dark-gradient_background .h1style,
.dark-gradient_background .h2style,
.dark-gradient_background .h3style,
.dark-gradient_background .h4style,
.dark-gradient_background .h5style,
.dark-gradient_background .h6style {
    color: var(--white);
}
.dark-gradient_background p {
    color: var(--white);
}
.dark-gradient_background p.sub-heading,
.dark-gradient_background div.sub-heading p {
    color: var(--white);
}
.dark-gradient_background a:not(.button) {
    color: var(--white);
}


/* --- black_background --- */
.black_background h1,
.black_background h2,
.black_background h3,
.black_background h4,
.black_background h5,
.black_background h6,
.black_background .h1style,
.black_background .h2style,
.black_background .h3style,
.black_background .h4style,
.black_background .h5style,
.black_background .h6style {
    color: var(--white);
}
.black_background p {
    color: var(--white);
}
.black_background p.sub-heading,
.black_background div.sub-heading p {
    color: var(--white);
}
.black_background a:not(.button) {
    color: var(--white);
}


/* --- starling_background --- */
.starling_background h1,
.starling_background h2,
.starling_background h3,
.starling_background h4,
.starling_background h5,
.starling_background h6,
.starling_background .h1style,
.starling_background .h2style,
.starling_background .h3style,
.starling_background .h4style,
.starling_background .h5style,
.starling_background .h6style {
    color: var(--white);
}
.starling_background p {
    color: var(--white);
}
.starling_background p.sub-heading,
.starling_background div.sub-heading p {
    color: var(--white);
}
.starling_background a:not(.button) {
    color: var(--white);
}


/* Text Color Selection */
::selection {
    background: var(--lime); /* WebKit/Blink Browsers */
    color: var(--black);
}
::-moz-selection {
    background: var(--lime); /* Gecko Browsers */
    color: var(--black);
}


/* custom scrollbar */
/* width */
::-webkit-scrollbar {
    background: var(--white);
    width: 10px;
}
/* Track */
::-webkit-scrollbar-track {
    background: var(--white);
}
/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--black);
}
/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: var(--black);
}